Bug 835170 - Review Request: cgdcbxd - dcb network priority manager
Review Request: cgdcbxd - dcb network priority manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 14:02 EDT by Neil Horman
Modified: 2012-09-10 18:28 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-10 18:28:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2012-06-25 14:02:24 EDT
Spec URL: http://people.redhat.com/nhorman/cgdcbxd.spec
SRPM URL: http://people.redhat.com/nhorman/cgdcbxd-1.0.1-1.fc16.src.rpm
Description: cgdcbxd is a daemon that that manages net_prio cgroup process assignments based on information exchanged over the dcbx protocol in dcb enabled network environments
Fedora Account System Username: nhorman
Comment 1 Neil Horman 2012-06-26 07:05:58 EDT
If anyone CCed from intel is a fedora package reviewer, please feel free to grab this bug and start the process
Comment 2 Michael Scherer 2012-07-28 10:37:49 EDT
It doesn't build in mock, you miss libtool as buildRequires it seems :

+ export LANG
+ unset DISPLAY
+ ./bootstrap.sh
./bootstrap.sh: line 2: libtoolize: command not found
Comment 3 Neil Horman 2012-07-29 14:07:28 EDT
Thanks, I've got that fixed locally, will repost the srpm as soon as I'm back from the beach.
Comment 4 Neil Horman 2012-08-06 11:35:59 EDT
Spec URL: http://people.redhat.com/nhorman/cgdcbxd.spec
SRPM URL: http://people.redhat.com/nhorman/cgdcbxd-1.0.1-1.fc16.src.rpm

New spec/srpm updated
Comment 5 Michael Scherer 2012-08-06 12:44:02 EDT
So :
- there is lots of stuff to remove for Fedora ( since it use systemd, I assume this is not gonna go to EPEL for now ) 
  - Buildroot is not needed
  - %clean is not needed either

- why is the file named /lib/systemd/system/irqbalance.service for cgdcdxd ?
( ie, it does conflict with existing one )

- typo in the summary ( mangement )


- Requires:   libcgroup libmnl
no need to explicitely requires that, as rpm will take care of this

- you should either use $RPM_BUILD_ROOT or %buildroot, but do not mix both ( http://fedoraproject.org/wiki/Packaging/Guidelines#macros )

- you need to ship the COPYING file in %doc, since that's the license ( and so should be distributed along the rpm )

- the systemd policy should be followed 
https://fedoraproject.org/wiki/Packaging:Systemd
like using %unitdir, using scriptlet to make sure systemd is aware of the new unit file

- tarball download should be documented ( ie, https://fedoraproject.org/wiki/Packaging:SourceURL )

I am doing a more formal review once I tested the software :)
Comment 6 Michael Scherer 2012-08-06 12:50:06 EDT
Ok, since it cannot install du to the file conflict, I defer the test once the spec is corrected. In the mean time :


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)" For detailed output of licensecheck see file:
     /home/misc/checkout/git/FedoraReview/835170-cgdcbxd/licensecheck.txt
[!]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[!]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[!]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[!]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (jrfastab-cgdcbxd-v1.0.1-0-g87bd754.tar.gz)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
[!]: SHOULD SourceX tarball generation or download is documented.
[!]: MUST Package does not own files or directories owned by other packages.
[!]: MUST Requires correct, justified where necessary.
[!]: MUST Package does not generate any conflict.
[!]: MUST Package consistently uses macro is (instead of hard-coded directory
     names )
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5

Rpmlint
-------
Checking: cgdcbxd-1.0.1-1.fc17.src.rpm
          cgdcbxd-debuginfo-1.0.1-1.fc17.x86_64.rpm
          cgdcbxd-1.0.1-1.fc17.x86_64.rpm
cgdcbxd.src: W: spelling-error Summary(en_US) mangement -> management, arrangement, derangement
cgdcbxd.src: W: spelling-error %description -l en_US dcb -> dc, db, deb
cgdcbxd.src: W: spelling-error %description -l en_US dcbx -> dc bx, dc-bx, dc
cgdcbxd.src: W: spelling-error %description -l en_US prio -> pro, prion, prior
cgdcbxd.src: W: spelling-error %description -l en_US cgroup -> croup, group, c group
cgdcbxd.src:31: E: hardcoded-library-path in %{buildroot}/lib/systemd/system/irqbalance.service
cgdcbxd.src:37: E: hardcoded-library-path in /lib/systemd/system/irqbalance.service
cgdcbxd.src: W: invalid-url Source0: jrfastab-cgdcbxd-v1.0.1-0-g87bd754.tar.gz
cgdcbxd.x86_64: E: explicit-lib-dependency libcgroup
cgdcbxd.x86_64: E: explicit-lib-dependency libmnl
cgdcbxd.x86_64: W: spelling-error Summary(en_US) mangement -> management, arrangement, derangement
cgdcbxd.x86_64: W: spelling-error %description -l en_US dcb -> dc, db, deb
cgdcbxd.x86_64: W: spelling-error %description -l en_US dcbx -> dc bx, dc-bx, dc
cgdcbxd.x86_64: W: spelling-error %description -l en_US prio -> pro, prion, prior
cgdcbxd.x86_64: W: spelling-error %description -l en_US cgroup -> croup, group, c group
3 packages and 0 specfiles checked; 4 errors, 11 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
cgdcbxd-debuginfo-1.0.1-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

cgdcbxd-1.0.1-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)  
    libcgroup  
    libcgroup.so.1()(64bit)  
    libcgroup.so.1(CGROUP_0.32)(64bit)  
    libcgroup.so.1(CGROUP_0.32.1)(64bit)  
    libcgroup.so.1(CGROUP_0.34)(64bit)  
    libmnl  
    libmnl.so.0()(64bit)  
    libmnl.so.0(LIBMNL_1.0)(64bit)  
    librt.so.1()(64bit)  
    rtld(GNU_HASH)  

Provides
--------
cgdcbxd-debuginfo-1.0.1-1.fc17.x86_64.rpm:
    
    cgdcbxd-debuginfo = 1.0.1-1.fc17
    cgdcbxd-debuginfo(x86-64) = 1.0.1-1.fc17

cgdcbxd-1.0.1-1.fc17.x86_64.rpm:
    
    cgdcbxd = 1.0.1-1.fc17
    cgdcbxd(x86-64) = 1.0.1-1.fc17

MD5-sum check
-------------


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 835170
External plugins:
Comment 7 Neil Horman 2012-08-06 13:35:27 EDT
Spec URL: http://people.redhat.com/nhorman/cgdcbxd.spec
SRPM URL: http://people.redhat.com/nhorman/cgdcbxd-1.0.1-1.fc16.src.rpm

New spec and rpm for you.  Issues addressed:
[!]: MUST Buildroot is not present
     Removed from spec

[!]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
     Changed to consistently use RPM_BUILD_ROOT


[!]: SHOULD SourceX tarball generation or download is documented.
     Documented both upstream tarball and unit file sources

[!]: MUST Package does not own files or directories owned by other packages.
     Unit file renamed.  sorry about that, I was using the irqbalance unit file     
     as a guide and must have just entered the name wrong.

[!]: MUST Requires correct, justified where necessary.
     Updated to reflect https://fedoraproject.org/wiki/Packaging:Systemd

[!]: MUST Package does not generate any conflict.
     Should be clean now.

[!]: MUST Package consistently uses macro is (instead of hard-coded directory
     names )
     Fixed to consistently use %{_unitdir}

[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
     Done

[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
     Removed from spec
Comment 8 Michael Scherer 2012-08-06 16:09:55 EDT
%config %{_unitdir}/cgdcbxd.service is incorrect, the file should not be edited, ut copied in /etc if someone need to change it ( so it doesn't get erased on upgrade, etc ) 
See https://fedoraproject.org/wiki/Packaging:Systemd#.25files_section

And the package work ( or at least it start, I cannot check more ), so if you fix this last part, I will approve the package
Comment 9 Neil Horman 2012-08-07 08:53:57 EDT
Sorry, misread the requirements page, though it said the unit file _must_ be marked as %config.  New spec/srpm with the %config removed:

Spec URL: http://people.redhat.com/nhorman/cgdcbxd.spec
SRPM URL: http://people.redhat.com/nhorman/cgdcbxd-1.0.1-1.fc16.src.rpm
Comment 10 Michael Scherer 2012-08-07 10:34:49 EDT
I guess that's something that should be added to rpmlint.  Anyway, package is approved.
Comment 11 Michael Scherer 2012-08-07 14:19:45 EDT
In fact, the systemd guideline have just been updated to include macros to replace the %post script, I would suggest to follow them if you do not plan to backport the software.
Comment 12 Neil Horman 2012-08-07 15:39:38 EDT
New Package SCM Request
=======================
Package Name: cgdcbxd
Short Description: dcb priority to priority cgroup mapping daemon
Owners: nhorman
Branches: f17 f18
InitialCC:
Comment 13 Gwyn Ciesla 2012-08-07 16:01:27 EDT
Git done (by process-git-requests).

f18 not branched yet.
Comment 14 Fedora Update System 2012-08-08 13:08:47 EDT
cgdcbxd-1.0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cgdcbxd-1.0.1-1.fc17
Comment 15 Fedora Update System 2012-08-09 18:56:08 EDT
cgdcbxd-1.0.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 16 Fedora Update System 2012-09-10 18:28:24 EDT
cgdcbxd-1.0.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.